Class | PhusionPassenger::Utils::HostsFileParser
In: | lib/phusion_passenger/utils/hosts_file_parser.rb
Parent: | Object

A /etc/hosts parser. Also supports writing groups of data to the file.

### Methods

add_group_data flush_dns_cache! host_count ip_count new resolve resolves_to_localhost? write

### Public Class methods

flush_dns_cache!()
new(filename_or_io = "/etc/hosts")

### Public Instance methods

add_group_data(marker, data)
host_count()
ip_count()
resolve(host_name)
resolves_to_localhost?(hostname)
write(io)

[Validate]